# Interface Configger

All Known Subinterfaces:
  `AxesController<P,A>, ZoneController<P,A>`

All Known Implementing Classes:
  `AbstractAxesController, AbstractZoneController, AxisController, BasicCoordLayerControl, CartesianAxisController, ConfigControl, CubeAxisController, DatalessLayerControl, DisjointAxesController, FrameControl, FunctionLayerControl, HealpixLayerControl, HistogramAxisController, MatrixAxesController, PlaneAxisController, ShaderControl, SingleAdapterAxesController, SingleAdapterZoneController, SingleZoneLayerControl, SkyAxisController, SpectrogramLayerControl, TimeAxisController`

public interface Configger
Source of a config map.

Since:
  12 Mar 2013
Author:
  Mark Taylor

## Method Summary

Modifier and Type
Method
Description
`uk.ac.starlink.ttools.plot2.config.ConfigMap`
`getConfig()`
Returns a configuration map.

## Method Details

### getConfig

uk.ac.starlink.ttools.plot2.config.ConfigMap getConfig()
Returns a configuration map. Calling this method will typically gather information from a GUI to return.

Returns:
  config map